Index: /main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/applicants/applicant.py
===================================================================
--- /main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/applicants/applicant.py	(revision 10800)
+++ /main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/applicants/applicant.py	(revision 10801)
@@ -30,4 +30,12 @@
     grok.provides(ICustomApplicant)
 
+    def _setStudyCourseAttributes(self, studycourse):
+        #studycourse.entry_mode = self.course_admitted.study_mode
+        #studycourse.current_level = self.course_admitted.start_level
+        studycourse.certificate = self.course_admitted
+        studycourse.entry_session = self.__parent__.year
+        studycourse.current_session = self.__parent__.year
+        return
+
 # Set all attributes of CustomApplicant required in ICustomApplicant as field
 # properties. Doing this, we do not have to set initial attributes
Index: /main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/applicants/viewlets.py
===================================================================
--- /main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/applicants/viewlets.py	(revision 10800)
+++ /main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/applicants/viewlets.py	(revision 10801)
@@ -22,14 +22,15 @@
     StudentCreateActionButton,
     ExportApplicantsActionButton,
+    PDFActionButton
     )
 
-class ApplicantsRootCreateStudentsActionButton(ApplicantsRootCreateStudentsActionButton):
-    target =''
+#class ApplicantsRootCreateStudentsActionButton(ApplicantsRootCreateStudentsActionButton):
+#    target =''
 
-class ApplicantsContainerCreateStudentsActionButton(ApplicantsContainerCreateStudentsActionButton):
-    target =''
+#class ApplicantsContainerCreateStudentsActionButton(ApplicantsContainerCreateStudentsActionButton):
+#    target =''
 
-class StudentCreateActionButton(StudentCreateActionButton):
-    target =''
+#class StudentCreateActionButton(StudentCreateActionButton):
+#    target =''
 
 #class ExportApplicantsActionButton(ExportApplicantsActionButton):
@@ -38,2 +39,9 @@
 #    target = ''
 
+
+class CustomPDFActionButton(PDFActionButton):
+
+    text = 'Download subscriber record slip'
+
+
+
Index: /main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/applicants/workflow.py
===================================================================
--- /main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/applicants/workflow.py	(revision 10800)
+++ /main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/applicants/workflow.py	(revision 10801)
@@ -31,14 +31,14 @@
     Transition(
         transition_id = 'init',
-        title = _('Initialize application'),
+        title = _('Initialize subscription'),
         source = None,
         condition = NullCondition,
-        msg = _('Application initialized'),
+        msg = _('Subscription initialized'),
         destination = INITIALIZED),
 
     Transition(
         transition_id = 'start',
-        title = _('Start application'),
-        msg = _('Application started'),
+        title = _('Start subscription'),
+        msg = _('Subscription started'),
         source = INITIALIZED,
         destination = STARTED),
@@ -46,6 +46,6 @@
     Transition(
         transition_id = 'submit',
-        title = _('Submit application'),
-        msg = _('Application submitted'),
+        title = _('Submit subscription'),
+        msg = _('Subscription submitted'),
         source = STARTED,
         destination = SUBMITTED),
@@ -53,6 +53,6 @@
     Transition(
         transition_id = 'admit',
-        title = _('Admit applicant'),
-        msg = _('Applicant admitted'),
+        title = _('Approve subscription'),
+        msg = _('Subscription approved'),
         source = SUBMITTED,
         destination = ADMITTED),
@@ -60,6 +60,6 @@
     Transition(
         transition_id = 'refuse1',
-        title = _('Refuse application'),
-        msg = _('Application refused'),
+        title = _('Refuse subscription'),
+        msg = _('Subscription refused'),
         source = SUBMITTED,
         destination = NOT_ADMITTED),
@@ -67,6 +67,6 @@
     Transition(
         transition_id = 'refuse2',
-        title = _('Refuse application'),
-        msg = _('Application refused'),
+        title = _('Refuse subscription'),
+        msg = _('Subscription refused'),
         source = ADMITTED,
         destination = NOT_ADMITTED),
@@ -75,5 +75,5 @@
         transition_id = 'create',
         title = _('Create student record'),
-        msg = _('Student record created'),
+        msg = _('Customer record created'),
         source = ADMITTED,
         destination = CREATED),
@@ -81,6 +81,6 @@
     Transition(
         transition_id = 'reset1',
-        title = _('Reset application to started'),
-        msg = _('Application reset'),
+        title = _('Reset subscription to started'),
+        msg = _('Subscription reset'),
         source = SUBMITTED,
         destination = STARTED),
@@ -88,6 +88,6 @@
     Transition(
         transition_id = 'reset2',
-        title = _('Reset application to started'),
-        msg = _('Application reset'),
+        title = _('Reset subscription to started'),
+        msg = _('Subscription reset'),
         source = ADMITTED,
         destination = STARTED),
@@ -95,6 +95,6 @@
     Transition(
         transition_id = 'reset3',
-        title = _('Reset application to started'),
-        msg = _('Application reset'),
+        title = _('Reset subscription to started'),
+        msg = _('Subscription reset'),
         source = NOT_ADMITTED,
         destination = STARTED),
@@ -102,6 +102,6 @@
     Transition(
         transition_id = 'reset4',
-        title = _('Reset application to started'),
-        msg = _('Application reset'),
+        title = _('Reset subscription to started'),
+        msg = _('Subscription reset'),
         source = CREATED,
         destination = STARTED),
@@ -109,6 +109,6 @@
     Transition(
         transition_id = 'reset7',
-        title = _('Reset application to admitted'),
-        msg = _('Application reset to admitted'),
+        title = _('Reset subscription to admitted'),
+        msg = _('Subscription reset to admitted'),
         source = CREATED,
         destination = ADMITTED),