Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 10801)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 10804)
@@ -206,5 +206,5 @@
 
 msgid "Applicant Id"
-msgstr ""
+msgstr "Subscriber Id"
 
 msgid "${a} <br /> Application Form ${b}"
@@ -261,7 +261,4 @@
 msgid "Edit application record"
 msgstr "Edit subscriber record"
-
-msgid "Download application slip"
-msgstr "Download subscriber data slip"
 
 msgid "Application"
@@ -297,2 +294,32 @@
 msgstr "Or simply forgot your customer id or password? Then request a new password <strong><a href=\"changepw\"> here</a></strong>."
 
+msgid "Students"
+msgstr "Customers"
+
+msgid "Student Id"
+msgstr "Customer Id"
+
+msgid "Login as student"
+msgstr "Login as customer"
+
+msgid "Transfer student"
+msgstr "Transfer customer"
+
+msgid "Study Course"
+msgstr "Main Contract"
+
+msgid "admitted"
+msgstr "approved"
+
+msgid "Start new session"
+msgstr "Start new subscription period"
+
+msgid "Current Session"
+msgstr "Current Subscription Period"
+
+msgid "Entry Session"
+msgstr "First Subscription Period"
+
+msgid "Application Slip"
+msgstr "Subscription Slip"
+
Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/kofacustom.ekodisco.pot
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/kofacustom.ekodisco.pot	(revision 10804)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/kofacustom.ekodisco.pot	(revision 10804)
@@ -0,0 +1,193 @@
+##############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+##############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Thu Nov 28 14:35:21 2013\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#: kofacustom/ekodisco/applicants/browser.py:79
+msgid "Save"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/browser.py:79
+msgid "Final Submit"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/interfaces.py:46
+#: kofacustom/ekodisco/applicants/interfaces.py:83
+msgid "Desired Contract"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/interfaces.py:51
+#: kofacustom/ekodisco/applicants/interfaces.py:88
+msgid "Not applicable"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/interfaces.py:56
+#: kofacustom/ekodisco/applicants/interfaces.py:93
+msgid "Assigned Contract"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/interfaces.py:62
+#: kofacustom/ekodisco/applicants/interfaces.py:99
+msgid "Customer Address"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/interfaces.py:66
+#: kofacustom/ekodisco/applicants/interfaces.py:103
+msgid "Service Address"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:111
+msgid "Reset subscription to admitted"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:112
+msgid "Subscription reset to admitted"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:33
+msgid "Initialize subscription"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:36
+msgid "Subscription initialized"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:41
+msgid "Start subscription"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:42
+msgid "Subscription started"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:48
+msgid "Submit subscription"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:49
+msgid "Subscription submitted"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:55
+msgid "Approve subscription"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:56
+msgid "Subscription approved"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:62
+#: kofacustom/ekodisco/applicants/workflow.py:69
+msgid "Refuse subscription"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:63
+#: kofacustom/ekodisco/applicants/workflow.py:70
+msgid "Subscription refused"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:76
+msgid "Create student record"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:77
+msgid "Customer record created"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:83
+#: kofacustom/ekodisco/applicants/workflow.py:90
+#: kofacustom/ekodisco/applicants/workflow.py:97
+#: kofacustom/ekodisco/applicants/workflow.py:104
+msgid "Reset subscription to started"
+msgstr ""
+
+#: kofacustom/ekodisco/applicants/workflow.py:84
+#: kofacustom/ekodisco/applicants/workflow.py:91
+#: kofacustom/ekodisco/applicants/workflow.py:98
+#: kofacustom/ekodisco/applicants/workflow.py:105
+msgid "Subscription reset"
+msgstr ""
+
+#: kofacustom/ekodisco/browser/theming.py:30
+msgid "EkoDisco Theme"
+msgstr ""
+
+#: kofacustom/ekodisco/interfaces.py:35
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: kofacustom/ekodisco/interfaces.py:41
+msgid "Application Fee (fallback)"
+msgstr ""
+
+#: kofacustom/ekodisco/interfaces.py:47
+msgid "Clearance Fee (ignored)"
+msgstr ""
+
+#: kofacustom/ekodisco/interfaces.py:53
+msgid "Booking Fee"
+msgstr ""
+
+#: kofacustom/ekodisco/interfaces.py:59
+msgid "Maintenance Fee (ignored)"
+msgstr ""
+
+#: kofacustom/ekodisco/interfaces.py:65
+msgid "Transcript Fee"
+msgstr ""
+
+#: kofacustom/ekodisco/interfaces.py:83
+msgid "Academic Session"
+msgstr ""
+
+#: kofacustom/ekodisco/interswitch/browser.py:150
+msgid "Payment ticket can't be send to CollegePAY. Application period has expired."
+msgstr ""
+
+#: kofacustom/ekodisco/interswitch/browser.py:59
+#: kofacustom/ekodisco/interswitch/browser.py:135
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: kofacustom/ekodisco/interswitch/browser.py:60
+#: kofacustom/ekodisco/interswitch/browser.py:136
+msgid "Submit"
+msgstr ""
+
+#: kofacustom/ekodisco/interswitch/browser.py:69
+#: kofacustom/ekodisco/interswitch/browser.py:145
+msgid "Payment ticket can't be re-send to CollegePAY."
+msgstr ""
+
+#: kofacustom/ekodisco/interswitch/browser.py:76
+msgid "Study course data are incomplete."
+msgstr ""
+
+#: kofacustom/ekodisco/students/interfaces.py:74
+msgid "Current Session Payment"
+msgstr ""
+
+#: kofacustom/ekodisco/students/interfaces.py:80
+msgid "Payment Level"
+msgstr ""
+
Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/browser.py
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/browser.py	(revision 10801)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/browser.py	(revision 10804)
@@ -29,6 +29,8 @@
     StudentBasePDFFormPage, ExportPDFCourseRegistrationSlipPage,
     CourseTicketDisplayFormPage, StudentTriggerTransitionFormPage,
-    msave, emit_lock_message)
-from waeup.kofa.students.interfaces import IStudentsUtils, ICourseTicket
+    msave, emit_lock_message, StudyCourseDisplayFormPage,
+    StudyCourseManageFormPage)
+from waeup.kofa.students.interfaces import (
+    IStudentsUtils, ICourseTicket)
 from waeup.kofa.students.workflow import FORBIDDEN_POSTGRAD_TRANS
 from kofacustom.nigeria.students.browser import (
@@ -43,5 +45,24 @@
 from kofacustom.ekodisco.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
-    ICustomStudentStudyLevel)
+    ICustomStudentStudyLevel, ICustomStudentStudyCourse,
+    ICustomStudentStudyCourse)
 from kofacustom.ekodisco.interfaces import MessageFactory as _
 
+
+class CustomStudyCourseDisplayFormPage(StudyCourseDisplayFormPage):
+    """ Page to display the student study course data
+    """
+    grok.context(ICustomStudentStudyCourse)
+    grok.template('studycoursepage')
+
+    form_fields = grok.AutoFields(ICustomStudentStudyCourse).select(
+                'certificate', 'entry_session', 'current_session')
+
+class CustomStudyCourseManageFormPage(StudyCourseManageFormPage):
+    """ Page to edit the student study course data
+    """
+    grok.context(ICustomStudentStudyCourse)
+    grok.template('studycoursemanagepage')
+
+    form_fields = grok.AutoFields(ICustomStudentStudyCourse).select(
+                'certificate', 'entry_session', 'current_session')
Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/browser_templates/studycoursemanagepage.pt	(revision 10804)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/browser_templates/studycoursemanagepage.pt	(revision 10804)
@@ -0,0 +1,19 @@
+<form action="." tal:attributes="action request/URL" method="POST"
+      i18n:domain="waeup.kofa" enctype="multipart/form-data">
+
+  <table class="form-table">
+  <tbody>
+    <tal:widgets content="structure provider:widgets" />
+  </tbody>
+  </table>
+  <div tal:condition="view/availableActions">
+    <span tal:repeat="action view/actions"
+          tal:omit-tag="">
+      <input tal:condition="python:action.label in view.taboneactions"
+             tal:replace="structure action/render"/>
+    </span>
+  </div>
+</form>  
+
+
+
Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/browser_templates/studycoursepage.pt
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/browser_templates/studycoursepage.pt	(revision 10804)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/browser_templates/studycoursepage.pt	(revision 10804)
@@ -0,0 +1,52 @@
+<table class="form-table" i18n:domain="waeup.kofa">
+  <thead>
+  </thead>
+  <tbody>
+    <tal:block repeat="widget view/widgets">
+      <tr>
+        <td class="fieldname">
+          <span tal:content="widget/label">label</span>:
+        </td>
+        <td tal:on-error="default">
+          <div tal:content="structure widget">
+            <input type="text" />
+          </div>
+        </td>
+      </tr>
+    </tal:block>
+      <tr tal:condition="python: view.department is not None">
+        <td i18n:translate="">
+            Department:
+        </td>
+        <td>
+          <a tal:attributes="href python: view.url(view.department)"
+               tal:content="view/department/longtitle">
+            DEPARTMENT
+          </a>
+        </td>
+      </tr>
+      <tr tal:condition="python: view.faculty is not None">
+        <td i18n:translate="">
+            Faculty:
+        </td>
+        <td>
+          <a tal:attributes="href python: view.url(view.faculty)"
+               tal:content="view/faculty/longtitle">
+            FACULTY
+          </a>
+        </td>
+      </tr>
+      <tr tal:condition="view/prev_studycourses">
+        <td i18n:translate="">
+            Previous Study Courses:
+        </td>
+        <td>
+          <span tal:repeat="value view/prev_studycourses">
+            <a tal:attributes="href value/href" tal:content="value/title">
+              FACULTY
+            </a>
+          </span>
+        </td>
+      </tr>
+  </tbody>
+</table>
Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/student.py
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/student.py	(revision 10801)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/student.py	(revision 10804)
@@ -37,8 +37,5 @@
 
     @property
-    def transcript_enabled(self):
-        user = get_current_principal()
-        if user.id in ('admin', 'isouaba', 'niyi', 'delejason'):
-            return True
+    def is_postgrad(self):
         return False
 
Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/studycourse.py
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/studycourse.py	(revision 10801)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/studycourse.py	(revision 10804)
@@ -35,4 +35,15 @@
     grok.provides(ICustomStudentStudyCourse)
 
+
+    @property
+    def is_postgrad(self):
+        return False
+
+
+    @property
+    def next_session_allowed(self):
+        return True
+
+
 CustomStudentStudyCourse = attrs_to_fields(CustomStudentStudyCourse)
 
Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/viewlets.py
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/viewlets.py	(revision 10801)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/students/viewlets.py	(revision 10804)
@@ -17,5 +17,7 @@
 ##
 
-from waeup.kofa.students.viewlets import StudentsTab
+from waeup.kofa.students.viewlets import (
+    StudentsTab, AdmissionSlipActionButton, StudentManageClearanceLink,
+    StudentManagePersonalLink, StudentManageAccommodationLink)
 
 from kofacustom.ekodisco.interfaces import MessageFactory as _
@@ -25,5 +27,17 @@
     """
 
-    @property
-    def link_target(self):
-        return None
+    #@property
+    #def link_target(self):
+    #    return None
+
+class AdmissionSlipActionButton(AdmissionSlipActionButton):
+    target = ''
+
+class StudentManageClearanceLink(StudentManageClearanceLink):
+    link = ''
+
+class CustomStudentManagePersonalLink(StudentManagePersonalLink):
+    link = ''
+
+class CustomStudentManageAccommodationLink(StudentManageAccommodationLink):
+    link = ''