Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 10825)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 10826)
@@ -116,8 +116,5 @@
 
 msgid "Current level not available for certificate."
-msgstr ""
-
-msgid "Current level does not match certificate levels."
-msgstr ""
+msgstr "Current level not available for contract."
 
 msgid "Certificate"
@@ -396,2 +393,109 @@
 msgstr "Customer transfers can be reverted one after the other. When reverting a transfer, the active conract will be entirely removed including all containing supplementary contracts and the previous contract will be reactivated."
 
+msgid ""
+"Dear ${a},\n"
+"\n"
+"${b}\n"
+"Student Registration and Information Portal of\n"
+"${c}.\n"
+"\n"
+"Your user name: ${d}\n"
+"Your password: ${e}\n"
+"${f}\n"
+"\n"
+"Please remember your user name and keep\n"
+"your password secret!\n"
+"\n"
+"Please also note that passwords are case-sensitive.\n"
+"\n"
+"Regards\n"
+msgstr ""
+"Dear ${a},\n"
+"\n"
+"${b}\n"
+"Customer Registration and Information Portal of\n"
+"${c}.\n"
+"\n"
+"Your user name: ${d}\n"
+"Your password: ${e}\n"
+"${f}\n"
+"\n"
+"Please remember your user name and keep\n"
+"your password secret!\n"
+"\n"
+"Please also note that passwords are case-sensitive.\n"
+"\n"
+"Regards\n"
+
+msgid "Student Data Exports"
+msgstr "Customer Data Exports"
+
+msgid "User Name, Student or Applicant Id, Matriculation or Registration Number"
+msgstr "User Name, Customer Id, Subscriber Id or Registration Number"
+
+msgid "Here you can create CSV files from parts of portal data except student data. Please pick the type of objects you want to export from the selection below. The file will be generated and then be made available for you to download in the table below."
+msgstr "Here you can create CSV files from parts of portal data except customer data. Please pick the type of objects you want to export from the selection below. The file will be generated and then be made available for you to download in the table below."
+
+msgid "Student data exports have to be further configured. You can create CSV files on the <a href=\"@@exportconfig\">student data export configuration page</a>."
+msgstr "Customer data exports have to be further configured. You can create CSV files on the <a href=\"@@exportconfig\">student data export configuration page</a>."
+
+msgid "Kofa - Student Management System"
+msgstr "Kofa - Customer Management System (Demo Version)"
+
+msgid "WAeUP.Kofa - Student Management System"
+msgstr "WAeUP.Kofa - Customer Management System (Demo Version)"
+
+msgid "Export student data"
+msgstr "Export customer data"
+
+msgid "Student is in the wrong state."
+msgstr "Customer is in the wrong state."
+
+msgid "Password has already been set. Your Student Id is ${a}"
+msgstr "Password has already been set. Your Customer Id is ${a}"
+
+msgid "Password has been set. Your Student Id is ${a}"
+msgstr "Password has been set. Your Customer Id is ${a}"
+
+msgid "No student record found."
+msgstr "No customer record found."
+
+msgid "No student found."
+msgstr "No customer found."
+
+msgid "Configure student data export"
+msgstr "Configure customer data export"
+
+msgid "You successfully logged in as student."
+msgstr "You successfully logged in as customer."
+
+msgid "Student account has been activated."
+msgstr "Customer account has been activated."
+
+msgid "Student account has been deactivated."
+msgstr "Customer account has been deactivated."
+
+msgid "Student Signature"
+msgstr "Customer Signature"
+
+msgid "Date, Student Signature"
+msgstr "Date, Customer Signature"
+
+msgid "Student is in wrong state."
+msgstr "Customer is in wrong state."
+
+msgid "<strong>NOTICE:</strong> Student data exports are very computation intensive. Depending on the filter selected and the portal traffic load, exports may take longer than 15 minutes. You are advised to export data outside high-traffic time periods."
+msgstr "<strong>NOTICE:</strong> Customer data exports are very computation intensive. Depending on the filter selected and the portal traffic load, exports may take longer than 15 minutes. You are advised to export data outside high-traffic time periods."
+
+msgid "Your student record will be looked up and your login credentials will be sent to the email address given above. To be able to proceed you must provide a valid email address!"
+msgstr "Your customer record will be looked up and your login credentials will be sent to the email address given above. To be able to proceed you must provide a valid email address!"
+
+msgid "Student Payments"
+msgstr "Customer Payments"
+
+msgid "Student Payments Overview"
+msgstr "Customer Payments Overview"
+
+msgid "Your Kofa student record was created on ${a}."
+msgstr "Your Kofa customer record was created on ${a}."
+