Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 10844)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 10845)
@@ -38,5 +38,6 @@
 from waeup.kofa.students.studycourse import StudentStudyCourse
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.kofa.applicants.interfaces import IApplicant, IApplicantEdit
+from waeup.kofa.applicants.interfaces import (
+    IApplicant, IApplicantEdit, ISpecialApplicant)
 from waeup.kofa.applicants.workflow import application_states_dict
 
@@ -51,5 +52,5 @@
 
 class Applicant(grok.Container):
-    grok.implements(IApplicant,IApplicantEdit)
+    grok.implements(IApplicant, IApplicantEdit, ISpecialApplicant)
     grok.provides(IApplicant)
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 10844)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 10845)
@@ -32,5 +32,5 @@
     IApplicantsContainer, IApplicantsContainerAdd,
     MAX_UPLOAD_SIZE, IApplicantOnlinePayment, IApplicantsUtils,
-    IApplicantRegisterUpdate
+    IApplicantRegisterUpdate, ISpecialApplicant
     )
 from waeup.kofa.applicants.container import (
@@ -529,11 +529,8 @@
     def form_fields(self):
         if self.context.special:
-            form_fields = grok.AutoFields(IApplicant).select(
-                'applicant_id', 'firstname', 'middlename', 'lastname',
-                'reg_number', 'date_of_birth', 'email', 'special_application')
+            form_fields = grok.AutoFields(ISpecialApplicant)
         else:
             form_fields = grok.AutoFields(IApplicant).omit(
-                'locked', 'course_admitted', 'password', 'suspended',
-                'special_application')
+                'locked', 'course_admitted', 'password', 'suspended')
         return form_fields
 
@@ -816,8 +813,6 @@
     def form_fields(self):
         if self.context.special:
-            form_fields = grok.AutoFields(IApplicant).select(
-                'applicant_id', 'firstname', 'middlename', 'lastname',
-                'reg_number', 'date_of_birth', 'email', 'special_application',
-                'locked')
+            form_fields = grok.AutoFields(ISpecialApplicant)
+            form_fields['applicant_id'].for_display = True
         else:
             form_fields = grok.AutoFields(IApplicant)
@@ -969,11 +964,10 @@
     def form_fields(self):
         if self.context.special:
-            form_fields = grok.AutoFields(IApplicantEdit).select(
-                'applicant_id', 'firstname', 'middlename', 'lastname',
-                'reg_number', 'date_of_birth', 'email', 'special_application')
+            form_fields = grok.AutoFields(ISpecialApplicant)
+            form_fields['applicant_id'].for_display = True
         else:
             form_fields = grok.AutoFields(IApplicantEdit).omit(
                 'locked', 'course_admitted', 'student_id',
-                'suspended', 'special_application'
+                'suspended'
                 )
             form_fields['applicant_id'].for_display = True
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 10844)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 10845)
@@ -466,4 +466,81 @@
         """
 
+class ISpecialApplicant(IApplicantBase):
+    """A special applicant.
+
+    This reduced interface is for former students or students who are not
+    users of the portal but have to pay supplementary fees.
+
+    This interface is used in browser components only. Thus we can't add
+    fields here to the regular IApplicant interface here. We can
+    only 'customize' fields.
+    """
+
+    history = Attribute('Object history, a list of messages')
+    state = Attribute('The application state of an applicant')
+    display_fullname = Attribute('The fullname of an applicant')
+    application_date = Attribute('UTC datetime of submission, used for export only')
+    password = Attribute('Encrypted password of a applicant')
+    application_number = Attribute('The key under which the record is stored')
+
+    suspended = schema.Bool(
+        title = _(u'Account suspended'),
+        default = False,
+        required = False,
+        )
+
+    applicant_id = schema.TextLine(
+        title = _(u'Applicant Id'),
+        required = False,
+        readonly = False,
+        )
+
+    firstname = schema.TextLine(
+        title = _(u'First Name'),
+        required = True,
+        )
+
+    middlename = schema.TextLine(
+        title = _(u'Middle Name'),
+        required = False,
+        )
+
+    lastname = schema.TextLine(
+        title = _(u'Last Name (Surname)'),
+        required = True,
+        )
+
+    reg_number = TextLineChoice(
+        title = _(u'Registration or Matriculation Number'),
+        readonly = False,
+        required = True,
+        source = contextual_reg_num_source,
+        )
+
+    date_of_birth = FormattedDate(
+        title = _(u'Date of Birth'),
+        required = False,
+        #date_format = u'%d/%m/%Y', # Use grok-instance-wide default
+        show_year = True,
+        )
+
+    email = schema.ASCIILine(
+        title = _(u'Email Address'),
+        required = True,
+        constraint=validate_email,
+        )
+
+    phone = PhoneNumber(
+        title = _(u'Phone'),
+        description = u'',
+        required = False,
+        )
+
+    special_application = schema.Choice(
+        title = _(u'Special Application'),
+        source = SpecialApplicationSource(),
+        required = True,
+        )
+
 class IApplicantEdit(IApplicant):
     """An applicant interface for editing.
@@ -504,9 +581,4 @@
         readonly = True,
         )
-    special_application = schema.Choice(
-        title = _(u'Special Application'),
-        source = SpecialApplicationSource(),
-        required = True,
-        )
 
 IApplicantEdit['email'].order = IApplicantEdit[
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 10844)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 10845)
@@ -955,16 +955,16 @@
         self.browser.getLink("Logout").click()
         # Login as manager
-        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
-        self.browser.open(applicant_path + '/manage')
+        #self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
+        #self.browser.open(applicant_path + '/manage')
         # When unselecting special_application, the payment ticket
         # can still be created.
-        self.browser.getControl(name="form.special_application").value = [
-            '']
-        self.browser.getControl("Save").click()
-        self.browser.getControl("Add online payment ticket").click()
-        self.assertMatches('...Payment ticket created...',
-                           self.browser.contents)
-        self.assertMatches('...<span>--</span>...',
-                           self.browser.contents)
+        #self.browser.getControl(name="form.special_application").value = [
+        #    '']
+        #self.browser.getControl("Save").click()
+        #self.browser.getControl("Add online payment ticket").click()
+        #self.assertMatches('...Payment ticket created...',
+        #                   self.browser.contents)
+        #self.assertMatches('...<span>--</span>...',
+        #                   self.browser.contents)
         return
 