Index: /main/kwarapoly.theme/trunk/MANIFEST.in
===================================================================
--- /main/kwarapoly.theme/trunk/MANIFEST.in	(revision 10861)
+++ /main/kwarapoly.theme/trunk/MANIFEST.in	(revision 10862)
@@ -1,2 +1,2 @@
-recursive-include ngren *
+recursive-include kwarapoly *
 global-exclude *pyc
Index: /main/kwarapoly.theme/trunk/README.rst
===================================================================
--- /main/kwarapoly.theme/trunk/README.rst	(revision 10861)
+++ /main/kwarapoly.theme/trunk/README.rst	(revision 10862)
@@ -1,6 +1,6 @@
-ngren.theme
-===========
+kwarapoly.theme
+===============
 
-This is the NgREN theme for Plone.
+This is the kwarapoly theme for Plone.
 
 Short hints for developers
@@ -37,5 +37,5 @@
 
 In the running instance (credentials admin/admin) add a Plone Site
-with all Diazo-related packages, ngren.theme and other stuff activated
+with all Diazo-related packages, kwarapoly.theme and other stuff activated
 (or activate this stuff after creation).
 
Index: /main/kwarapoly.theme/trunk/buildout.cfg
===================================================================
--- /main/kwarapoly.theme/trunk/buildout.cfg	(revision 10861)
+++ /main/kwarapoly.theme/trunk/buildout.cfg	(revision 10862)
@@ -20,5 +20,5 @@
     Pillow
     diazotheme.bootstrap
-    ngren.theme
+    kwarapoly.theme
     Products.LinguaPlone
     sc.social.like
Index: /main/kwarapoly.theme/trunk/docs/INSTALL.txt
===================================================================
--- /main/kwarapoly.theme/trunk/docs/INSTALL.txt	(revision 10861)
+++ /main/kwarapoly.theme/trunk/docs/INSTALL.txt	(revision 10862)
@@ -1,10 +1,10 @@
-ngren.theme Installation
-------------------------
+kwarapoly.theme Installation
+----------------------------
 
-To install ngren.theme into the global Python environment (or a workingenv),
+To install kwarapoly.theme into the global Python environment (or a workingenv),
 using a traditional Zope 2 instance, you can do this:
 
 * When you're reading this you have probably already run 
-  ``easy_install ngren.theme``. Find out how to install setuptools
+  ``easy_install kwarapoly.theme``. Find out how to install setuptools
   (and EasyInstall) here:
   http://peak.telecommunity.com/DevCenter/EasyInstall
@@ -17,9 +17,9 @@
 into your Zope instance.
 
-* Create a file called ``ngren.theme-configure.zcml`` in the
+* Create a file called ``kwarapoly.theme-configure.zcml`` in the
   ``/path/to/instance/etc/package-includes`` directory.  The file
   should only contain this::
 
-    <include package="ngren.theme" />
+    <include package="kwarapoly.theme" />
 
 .. _pythonproducts: http://plone.org/products/pythonproducts
@@ -29,5 +29,5 @@
 recipe to manage your project, you can do this:
 
-* Add ``ngren.theme`` to the list of eggs to install, e.g.:
+* Add ``kwarapoly.theme`` to the list of eggs to install, e.g.:
 
     [buildout]
@@ -35,5 +35,5 @@
     eggs =
         ...
-        ngren.theme
+        kwarapoly.theme
        
 * Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
@@ -43,5 +43,5 @@
     ...
     zcml =
-        ngren.theme
+        kwarapoly.theme
       
 * Re-run buildout, e.g. with:
Index: /main/kwarapoly.theme/trunk/docs/LICENSE.txt
===================================================================
--- /main/kwarapoly.theme/trunk/docs/LICENSE.txt	(revision 10861)
+++ /main/kwarapoly.theme/trunk/docs/LICENSE.txt	(revision 10862)
@@ -1,3 +1,3 @@
-  ngren.theme is copyright Jan Filip Tristan Hasecke
+  kwarapoly.theme is copyright Jan Filip Tristan Hasecke
 
   This program is free software; you can redistribute it and/or modify
Index: /main/kwarapoly.theme/trunk/kwarapoly.theme-configure.zcml
===================================================================
--- /main/kwarapoly.theme/trunk/kwarapoly.theme-configure.zcml	(revision 10862)
+++ /main/kwarapoly.theme/trunk/kwarapoly.theme-configure.zcml	(revision 10862)
@@ -0,0 +1,1 @@
+<include package="kwarapoly.theme" />
Index: in/kwarapoly.theme/trunk/ngren.theme-configure.zcml
===================================================================
--- /main/kwarapoly.theme/trunk/ngren.theme-configure.zcml	(revision 10861)
+++ 	(revision )
@@ -1,1 +1,0 @@
-<include package="ngren.theme" />
Index: /main/kwarapoly.theme/trunk/setup.py
===================================================================
--- /main/kwarapoly.theme/trunk/setup.py	(revision 10861)
+++ /main/kwarapoly.theme/trunk/setup.py	(revision 10862)
@@ -4,7 +4,7 @@
 version = '1.0'
 
-setup(name='ngren.theme',
+setup(name='kwarapoly.theme',
       version=version,
-      description="Theme for NgREN",
+      description="Theme for kwarapoly",
       long_description=open("README.txt").read() + "\n" +
                        open(os.path.join("docs", "HISTORY.txt")).read(),
@@ -21,5 +21,5 @@
       license='GPL',
       packages=find_packages(exclude=['ez_setup']),
-      namespace_packages=['ngren'],
+      namespace_packages=['kwarapoly'],
       include_package_data=True,
       zip_safe=False,