Index: main/waeup.plonetheme/trunk/README.rst
===================================================================
--- main/waeup.plonetheme/trunk/README.rst	(revision 10867)
+++ main/waeup.plonetheme/trunk/README.rst	(revision 10867)
@@ -0,0 +1,33 @@
+waeup.plonetheme
+================
+
+This is the WAeUP theme for Plone.
+
+Short hints for developers
+--------------------------
+
+To build a running local Plone instance with this theme activated,
+follow these steps:
+
+Create a virtual environment::
+
+  $ virtualenv py27
+  $ source py27/bin/activate
+
+If you have not distribute installed already, run::
+
+  (py27)$ pip install distribute
+
+Then run bootstrap.py with zc.buildout v 1.4.4 enforced::
+
+  (py27)$ python bootstrap.py -v 1.4.4
+
+(although there shouldn't be a reason to use a newer version).
+
+Run buildout::
+
+  (py27)$ ./bin/buildout
+
+Start the instance::
+
+  (py27)$ ./bin/instance fg
Index: main/waeup.plonetheme/trunk/bootstrap.py
===================================================================
--- main/waeup.plonetheme/trunk/bootstrap.py	(revision 10867)
+++ main/waeup.plonetheme/trunk/bootstrap.py	(revision 10867)
@@ -0,0 +1,165 @@
+##############################################################################
+#
+# Copyright (c) 2006 Zope Foundation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+##############################################################################
+"""Bootstrap a buildout-based project
+
+Simply run this script in a directory containing a buildout.cfg.
+The script accepts buildout command-line options, so you can
+use the -c option to specify an alternate configuration file.
+"""
+
+import os, shutil, sys, tempfile
+from optparse import OptionParser
+
+tmpeggs = tempfile.mkdtemp()
+
+usage = '''\
+[DESIRED PYTHON FOR BUILDOUT] bootstrap.py [options]
+
+Bootstraps a buildout-based project.
+
+Simply run this script in a directory containing a buildout.cfg, using the
+Python that you want bin/buildout to use.
+
+Note that by using --setup-source and --download-base to point to
+local resources, you can keep this script from going over the network.
+'''
+
+parser = OptionParser(usage=usage)
+parser.add_option("-v", "--version", help="use a specific zc.buildout version")
+
+parser.add_option("-t", "--accept-buildout-test-releases",
+                  dest='accept_buildout_test_releases',
+                  action="store_true", default=False,
+                  help=("Normally, if you do not specify a --version, the "
+                        "bootstrap script and buildout gets the newest "
+                        "*final* versions of zc.buildout and its recipes and "
+                        "extensions for you.  If you use this flag, "
+                        "bootstrap and buildout will get the newest releases "
+                        "even if they are alphas or betas."))
+parser.add_option("-c", "--config-file",
+                   help=("Specify the path to the buildout configuration "
+                         "file to be used."))
+parser.add_option("-f", "--find-links",
+                   help=("Specify a URL to search for buildout releases"))
+
+
+options, args = parser.parse_args()
+
+######################################################################
+# load/install distribute
+
+to_reload = False
+try:
+    import pkg_resources, setuptools
+    if not hasattr(pkg_resources, '_distribute'):
+        to_reload = True
+        raise ImportError
+except ImportError:
+    ez = {}
+
+    try:
+        from urllib.request import urlopen
+    except ImportError:
+        from urllib2 import urlopen
+
+    exec(urlopen('http://python-distribute.org/distribute_setup.py').read(), ez)
+    setup_args = dict(to_dir=tmpeggs, download_delay=0, no_fake=True)
+    ez['use_setuptools'](**setup_args)
+
+    if to_reload:
+        reload(pkg_resources)
+    import pkg_resources
+    # This does not (always?) update the default working set.  We will
+    # do it.
+    for path in sys.path:
+        if path not in pkg_resources.working_set.entries:
+            pkg_resources.working_set.add_entry(path)
+
+######################################################################
+# Install buildout
+
+ws  = pkg_resources.working_set
+
+cmd = [sys.executable, '-c',
+       'from setuptools.command.easy_install import main; main()',
+       '-mZqNxd', tmpeggs]
+
+find_links = os.environ.get(
+    'bootstrap-testing-find-links',
+    options.find_links or
+    ('http://downloads.buildout.org/'
+     if options.accept_buildout_test_releases else None)
+    )
+if find_links:
+    cmd.extend(['-f', find_links])
+
+distribute_path = ws.find(
+    pkg_resources.Requirement.parse('distribute')).location
+
+requirement = 'zc.buildout'
+version = options.version
+if version is None and not options.accept_buildout_test_releases:
+    # Figure out the most recent final version of zc.buildout.
+    import setuptools.package_index
+    _final_parts = '*final-', '*final'
+    def _final_version(parsed_version):
+        for part in parsed_version:
+            if (part[:1] == '*') and (part not in _final_parts):
+                return False
+        return True
+    index = setuptools.package_index.PackageIndex(
+        search_path=[distribute_path])
+    if find_links:
+        index.add_find_links((find_links,))
+    req = pkg_resources.Requirement.parse(requirement)
+    if index.obtain(req) is not None:
+        best = []
+        bestv = None
+        for dist in index[req.project_name]:
+            distv = dist.parsed_version
+            if _final_version(distv):
+                if bestv is None or distv > bestv:
+                    best = [dist]
+                    bestv = distv
+                elif distv == bestv:
+                    best.append(dist)
+        if best:
+            best.sort()
+            version = best[-1].version
+if version:
+    requirement = '=='.join((requirement, version))
+cmd.append(requirement)
+
+import subprocess
+if subprocess.call(cmd, env=dict(os.environ, PYTHONPATH=distribute_path)) != 0:
+    raise Exception(
+        "Failed to execute command:\n%s",
+        repr(cmd)[1:-1])
+
+######################################################################
+# Import and run buildout
+
+ws.add_entry(tmpeggs)
+ws.require(requirement)
+import zc.buildout.buildout
+
+if not [a for a in args if '=' not in a]:
+    args.append('bootstrap')
+
+# if -c was provided, we push it back into args for buildout' main function
+if options.config_file is not None:
+    args[0:0] = ['-c', options.config_file]
+
+zc.buildout.buildout.main(args)
+shutil.rmtree(tmpeggs)
Index: main/waeup.plonetheme/trunk/buildout.cfg
===================================================================
--- main/waeup.plonetheme/trunk/buildout.cfg	(revision 10867)
+++ main/waeup.plonetheme/trunk/buildout.cfg	(revision 10867)
@@ -0,0 +1,139 @@
+[buildout]
+
+eggs-directory = /plone/eggs
+
+develop = .
+extends =
+    http://dist.plone.org/release/4.2.4/versions.cfg
+newest = false
+prefer-final = true
+versions = versions
+find-links =
+    http://dist.plone.org/release/4.2.4
+    http://dist.plone.org
+    http://download.zope.org/ppix/
+    http://download.zope.org/distribution/
+    http://effbot.org/downloads
+unzip = true
+extensions = buildout.dumppickedversions
+http-address = 0.0.0.0:5000
+eggs =
+    Plone
+    Pillow
+    diazotheme.bootstrap
+    waeup.plonetheme
+    Products.LinguaPlone
+    sc.social.like
+    collective.blogging
+    plone.app.ldap
+debug-mode = off
+# Add-on developers should turn deprecation warnings on
+deprecation-warnings = off
+# change verbose-security to "on" for useful security errors while developing
+verbose-security = off
+user=admin:admin
+environment-vars =
+    zope_i18n_compile_mo_files true
+    PYTHON_EGG_CACHE ${buildout:directory}/var/.python-eggs
+    PYTHONHASHSEED random
+parts =
+    instance
+    zopepy
+    productsdir
+    python-ldap
+
+#    zopeskel
+#    unifiedinstaller
+#    repozo
+#    backup
+#    chown
+
+effective-user = 
+
+[productsdir]
+# create a products dir in buildout root
+recipe = z3c.recipe.mkdir
+paths = products
+
+[instance]
+# Use this section to install and configure a Zope operating
+# instance.
+# For options see http://pypi.python.org/pypi/plone.recipe.zope2instance
+recipe = plone.recipe.zope2instance
+# The line below sets only the initial password. It will not change an
+# existing password.
+user = ${buildout:user}
+http-address = ${buildout:http-address}
+# if we try to start as root, Zope will switch to the user below
+effective-user = ${buildout:effective-user}
+# change debug-mode to "on" to run in development mode
+debug-mode = ${buildout:debug-mode}
+# change verbose-security to "on" for detailed security
+# errors while developing
+verbose-security = ${buildout:verbose-security}
+# change deprecation-warnings to "on" to get log warnings
+# for deprecated usages.
+deprecation-warnings = ${buildout:deprecation-warnings}
+blob-storage = ${buildout:directory}/var/blobstorage
+
+# Comment the next four lines out if you don't need
+# automatic log rotation for event and access logs.
+event-log-max-size = 5 MB
+event-log-old-files = 5
+access-log-max-size = 20 MB
+access-log-old-files = 5
+
+# If you want Zope to know about any additional eggs, list them here.
+# e.g. eggs = ${buildout:eggs} my.package
+eggs =
+    ${buildout:eggs}
+
+# If you want to register ZCML slugs for any packages, list them here.
+# e.g. zcml = my.package my.other.package
+zcml = ${buildout:zcml}
+
+products = ${buildout:directory}/products
+
+# You may also control the environment variables for the instance.
+environment-vars = ${buildout:environment-vars}
+zcml = 
+
+
+[zopepy]
+# installs a zopepy python interpreter that runs with your
+# full Zope environment
+recipe = zc.recipe.egg
+eggs = ${buildout:eggs}
+interpreter = zopepy
+scripts = zopepy
+
+
+
+[zopeskel]
+# installs paster and Zopeskel
+recipe = zc.recipe.egg
+eggs =
+    ZopeSkel
+    Paste
+    PasteDeploy
+    PasteScript
+    ${buildout:eggs}
+
+
+
+[versions]
+ZopeSkel = 2.21.2
+plone.recipe.unifiedinstaller = 4.1
+lxml = 2.3.6
+Cheetah = 2.2.1
+Pillow = 1.7.8
+Products.DocFinderTab = 1.0.5
+collective.recipe.backup = 2.8
+plone.recipe.command = 1.1
+
+[python-ldap]
+recipe = zc.recipe.egg:custom
+egg = python-ldap
+find-links =
+include-dirs = /usr/include /usr/lib/sasl2
+library-dirs = /usr/lib