Index: main/kwarapoly.theme/trunk/buildout.cfg
===================================================================
--- main/kwarapoly.theme/trunk/buildout.cfg	(revision 10868)
+++ main/kwarapoly.theme/trunk/buildout.cfg	(revision 10869)
@@ -1,3 +1,6 @@
 [buildout]
+
+eggs-directory = /plone/eggs
+
 develop = .
 extends =
@@ -15,5 +18,5 @@
 unzip = true
 extensions = buildout.dumppickedversions
-http-address = 127.0.0.1:5001
+http-address = 0.0.0.0:5002
 eggs =
     Plone
Index: main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/about-us.html
===================================================================
--- main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/about-us.html	(revision 10868)
+++ main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/about-us.html	(revision 10869)
@@ -57,5 +57,5 @@
           <div id="logo-container">
             <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
+              <img id="logo" src="img/kwarapoly_logo.png" alt="KwaraPoly logo" />
             </a>
             <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
Index: main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/dr-mt-johnson.html
===================================================================
--- main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/dr-mt-johnson.html	(revision 10868)
+++ main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/dr-mt-johnson.html	(revision 10869)
@@ -57,5 +57,5 @@
           <div id="logo-container">
             <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
+              <img id="logo" src="img/kwarapoly_logo.png" alt="NgREN logo" />
             </a>
             <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
Index: main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/example.html
===================================================================
--- main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/example.html	(revision 10868)
+++ main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/example.html	(revision 10869)
@@ -57,5 +57,5 @@
           <div id="logo-container">
             <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
+              <img id="logo" src="img/kwarapoly_logo.png" alt="NgREN logo" />
             </a>
             <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
Index: main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/full.html
===================================================================
--- main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/full.html	(revision 10868)
+++ main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/full.html	(revision 10869)
@@ -57,5 +57,5 @@
           <div id="logo-container">
             <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
+              <img id="logo" src="img/kwarapoly_logo.png" alt="NgREN logo" />
             </a>
             <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
Index: main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/home.html
===================================================================
--- main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/home.html	(revision 10868)
+++ main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/home.html	(revision 10869)
@@ -57,5 +57,5 @@
           <div id="logo-container">
             <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
+              <img id="logo" src="img/kwarapoly_logo.png" alt="KwaraPoly logo" />
             </a>
             <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
Index: main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/services.html
===================================================================
--- main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/services.html	(revision 10868)
+++ main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/services.html	(revision 10869)
@@ -57,5 +57,5 @@
           <div id="logo-container">
             <a href="home.html">
-              <img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
+              <img id="logo" src="img/kwarapoly_logo.png" alt="NgREN logo" />
             </a>
             <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>