Index: /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/about-us.html
===================================================================
--- /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/about-us.html	(revision 10869)
+++ /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/about-us.html	(revision 10870)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
Index: /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/dr-mt-johnson.html
===================================================================
--- /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/dr-mt-johnson.html	(revision 10869)
+++ /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/dr-mt-johnson.html	(revision 10870)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
Index: /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/example.html
===================================================================
--- /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/example.html	(revision 10869)
+++ /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/example.html	(revision 10870)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
Index: /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/full.html
===================================================================
--- /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/full.html	(revision 10869)
+++ /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/full.html	(revision 10870)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
Index: /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/home.html
===================================================================
--- /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/home.html	(revision 10869)
+++ /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/home.html	(revision 10870)
@@ -7,6 +7,6 @@
 <head>
   <meta charset="utf-8">
-  <title>NgREN - Nigerian Research and Education Network</title>
-        <base href="/" />
+  <title>NgREN - xxx</title>
+
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
@@ -59,5 +59,5 @@
               <img id="logo" src="img/kwarapoly_logo.png" alt="KwaraPoly logo" />
             </a>
-            <h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
+            <h1><a href="home.html">XXX</a></h1>
           </div>
             <div class="btn-group pull-right btn-small"
@@ -227,43 +227,4 @@
   </div>
 
-  <div class="full-col">
-    <h4 class="title">&raquo; Partners</h4>
-    <div id="partners-tile" class="gradient-radius-module">
-      <ul>
-        <li id="fme">
-          <a target="_blank" href="http://www.fmegovng.org">
-            <img src="img/logos/fme.png" alt="Federal Ministry of Education" />
-            <span class="title">Federal Ministry of Education</span>
-          </a>
-        </li>
-        <li id="uspf">
-          <a target="_blank" href="http://www.uspf.gov.ng">
-            <img src="img/logos/uspf.png" alt="Universal Service Provision Fund" />
-            <span class="title">Universal Service Provision Fund</span>
-          </a>
-        </li>
-        <li id="tetfund">
-          <a target="_blank" href="http://www.tetfund.gov.ng">
-            <img src="img/logos/tetfund.png" alt="Tetfund" />
-            <span class="title">Tetfund</span>
-          </a>
-        </li>
-        <li id="ncc">
-          <a target="_blank" href="http://www.ncc.gov.ng">
-            <img src="img/logos/ncc.png" alt="Nigerian Communications Commission" />
-            <span class="title">Nigerian Communications Commission</span>
-          </a>
-        </li>
-        <li id="nuc">
-          <a target="_blank" href="http://www.nuc.edu.ng/">
-            <img src="img/logos/nuc.png" alt="Nigerian Communications Commission" />
-            <span class="title">National Universities Commission</span>
-          </a>
-        </li>
-      </ul>
-      <div class="clear">&nbsp;</div>
-    </div>
-  </div>
-
   <hr>
 
@@ -277,5 +238,5 @@
     <div class="address">
       <ul>
-        <li>NgREN</li>
+        <li>XXX</li>
         <li>National Universities Commission</li>
         <li>Aja Nwachukwu House</li>
Index: /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/services.html
===================================================================
--- /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/services.html	(revision 10869)
+++ /main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/services.html	(revision 10870)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>