Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 10870)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 10871)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 10870)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 10871)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 10870)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 10871)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 10870)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 10871)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 10870)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 10871)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 10870)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 10871)
@@ -18,7 +18,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>