Index: main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/home.html
===================================================================
--- main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/home.html	(revision 10870)
+++ main/kwarapoly.theme/trunk/kwarapoly/theme/kwarapoly_theme/home.html	(revision 10873)
@@ -7,9 +7,8 @@
 <head>
   <meta charset="utf-8">
-  <title>NgREN - xxx</title>
-
+  <title>Home | KwaraPoly - Kwara State Polytechnic</title>
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
-  <meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
-  <meta name="author" content="NgREN">
+  <meta name="description" content="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum.">
+  <meta name="author" content="KwaraPoly">
 
   <!-- Le styles -->
@@ -18,7 +17,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
@@ -59,5 +58,5 @@
               <img id="logo" src="img/kwarapoly_logo.png" alt="KwaraPoly logo" />
             </a>
-            <h1><a href="home.html">XXX</a></h1>
+            <h1></h1>
           </div>
             <div class="btn-group pull-right btn-small"
@@ -91,5 +90,25 @@
           <div class="nav-container">
             <ul class="nav">
-              <li class="active"><a href="home.html">Home</a></li>
+              <li class="active active"><a href="home.html">Home</a></li>
+              <li class="dropdown">
+                <a href="services.html" data-toggle="dropdown" class="dropdown-toggle disabled">Academics <b class="caret"></b></a>
+                <ul class="dropdown-menu">
+                  <li ><a href="example.html">Lorem ipsum dolor sit amet</a></li>
+                  <li ><a href="example.html">Lorem ipsum dolor sit amet</a></li>
+                  <li ><a href="example.html">Lorem ipsum dolor sit amets</a></li>
+                  <li ><a href="example.html">Lorem ipsum dolor sit amet</a></li>
+                  <li ><a href="example.html">Lorem ipsum dolor sit amet</a></li>
+                </ul>
+              </li>
+              <li class="dropdown">
+                <a href="services.html" data-toggle="dropdown" class="dropdown-toggle disabled">Students <b class="caret"></b></a>
+                <ul class="dropdown-menu">
+                  <li ><a href="example.html">Lorem ipsum dolor sit amet</a></li>
+                  <li ><a href="example.html">Lorem ipsum dolor sit amet</a></li>
+                  <li ><a href="example.html">Lorem ipsum dolor sit amets</a></li>
+                  <li ><a href="example.html">Lorem ipsum dolor sit amet</a></li>
+                  <li ><a href="example.html">Lorem ipsum dolor sit amet</a></li>
+                </ul>
+              </li>
               <li class="dropdown">
                 <a href="about-us.html" data-toggle="dropdown" class="dropdown-toggle disabled">About us <b class="caret"></b></a>
@@ -102,19 +121,4 @@
                 </ul>
               </li>
-              <li class="dropdown">
-                <a href="services.html" data-toggle="dropdown" class="dropdown-toggle disabled">Services <b class="caret"></b></a>
-                <ul class="dropdown-menu">
-                  <li ><a href="example.html">Unified communications</a></li>
-                  <li ><a href="example.html">Video conferencing</a></li>
-                  <li ><a href="example.html">Domain name services</a></li>
-                  <li ><a href="example.html">Caching services</a></li>
-                  <li ><a href="example.html">Digital content</a></li>
-                  <li ><a href="example.html">Network Security (CERT)</a></li>
-                  <li ><a href="example.html">Email and messaging</a></li>
-                  <li ><a href="example.html">Colocation</a></li>
-                  <li ><a href="example.html">Bandwidth supply and management</a></li>
-                  <li ><a href="example.html">Backbone transmission</a></li>
-                </ul>
-              </li>
               <li><a href="example.html">FAQ</a></li>
             </ul>
@@ -132,40 +136,30 @@
     <li>
       <div class="slider-text">
-        <h3><a href="example.html">Welcome to NgREN</a></h3>
-        <p>The NgREN is committed to harmonizing knowledge within the tertiary sector to <span class="highlight">drive productive research, collaboration and knowledge</span> dissemination for the development of Nigeria and Mankind.</p>
+        <h3><a href="example.html">Welcome to <br />Kwara State Polytechnic</a></h3>
+        <p>This is our administartion building.</p>
         <a href="example.html">Read more &raquo;</a>
       </div>
       <div class="slider-image-container border-radius">
-        <img class="slider-image border-radius" src="img/slider/nigerian-men2.jpg" alt="nigerian woman 1" />
+        <img class="slider-image border-radius" src="img/slider/kwara-poly-admin-block.jpg" alt="admin block" />
       </div>
     </li>
     <li>
       <div class="slider-text">
-        <h3><a href="example.html">NgREN and Other RENs</a></h3>
-        <p>The NgREN is committed to harmonizing knowledge within the tertiary sector to drive productive research, collaboration and knowledge dissemination for the development of Nigeria and Mankind.</p>
+        <h3><a href="example.html">Polytechnic ICT Building</a></h3>
+        <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum.</p>
         <a href="example.html">Read more &raquo;</a>
       </div>
       <div class="slider-image-container border-radius">
-        <img class="slider-image border-radius" src="img/slider/nigerian-women.jpg" alt="nigerian woman 2" />
+        <img class="slider-image border-radius" src="img/slider/kwara-poly-ict.jpg" alt="poly ict" />
       </div>
     </li>
     <li>
       <div class="slider-text">
-        <h3><a href="example.html">Medical Research</a></h3>
-        <p>The NgREN is committed to harmonizing knowledge within the tertiary sector to drive productive research, collaboration and knowledge dissemination for the development of Nigeria and Mankind.</p>
+        <h3><a href="example.html">Polytechnic ETF Building</a></h3>
+        <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum.</p>
         <a href="example.html">Read more &raquo;</a>
       </div>
       <div class="slider-image-container border-radius">
-        <img class="slider-image border-radius" src="img/slider/health.jpg" alt="nigerian woman 3" />
-      </div>
-    </li>
-    <li>
-      <div class="slider-text">
-        <h3><a href="example.html">Mobility Services</a></h3>
-        <p>The NgREN is committed to harmonizing knowledge within the tertiary sector to drive productive research, collaboration and knowledge dissemination for the development of Nigeria and Mankind.</p>
-        <a href="example.html">Read more &raquo;</a>
-      </div>
-      <div class="slider-image-container border-radius">
-        <img class="slider-image border-radius" src="img/slider/nigerian-men.jpg" alt="nigerian woman 4" />
+        <img class="slider-image border-radius" src="img/slider/kwara-poly-etf.jpg" alt="poly etf" />
       </div>
     </li>
@@ -179,12 +173,12 @@
       <div class="span6 center home-option gradient-radius-module">
         <a href="example.html"><img class="home-icon" src="img/mobile-icon.png" alt="icon heart" /></a>
-        <h3><a href="example.html">NgREN Infrastructure<br/>and Facilities</a></h3>
-        <p class="text">Read more about the UNICC project.</p>
+        <h3><a href="example.html">KwaraPoly Infrastructure<br/>and Facilities</a></h3>
+        <p class="text">Read more Lorem ipsum dolor sit amet.</p>
         <p><a href="example.html">View details &raquo;</a></p>
       </div>
       <div class="span6 center home-option gradient-radius-module">
         <a href="example.html"><img class="home-icon" src="img/network-icon.png" alt="icon network" /></a>
-        <h3><a href="example.html">NgREN<br/>and Other RENs</a></h3>
-        <p class="text">Read more about NgREN Linkage Plans and Activities.</p>
+        <h3><a href="example.html">Education<br/>at KwaraPoly</a></h3>
+        <p class="text">Read more about Lorem ipsum dolor sit amet.</p>
         <p><a href="example.html">View details &raquo;</a></p>
       </div>
@@ -192,4 +186,5 @@
   </div>
 
+  <!-- SIDEBAR -->
   <div class="right-col">
     <h4 class="title">&raquo; Latest news</h4>
@@ -199,25 +194,25 @@
         <li>
           <h4><a href="example.html">Plans and Activities</a></h4>
-          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p class="text">KwaraPoly Linkage Plans and Activities.</p>
           <p><a href="example.html">Read more</a></p>
         </li>
         <li>
           <h4><a href="example.html">Plans and Activities 2</a></h4>
-          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p class="text">KwaraPoly Linkage Plans and Activities.</p>
           <p><a href="example.html">Read more</a></p>
         </li>
         <li>
           <h4><a href="example.html">Plans and Activities 3</a></h4>
-          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p class="text">KwaraPoly Linkage Plans and Activities.</p>
           <p><a href="example.html">Read more</a></p>
         </li>
         <li>
           <h4><a href="example.html">Plans and Activities 4</a></h4>
-          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p class="text">KwaraPoly Linkage Plans and Activities.</p>
           <p><a href="example.html">Read more</a></p>
         </li>
         <li>
           <h4><a href="example.html">Plans and Activities 5</a></h4>
-          <p class="text">NgREN Linkage Plans and Activities.</p>
+          <p class="text">KwaraPoly Linkage Plans and Activities.</p>
           <p><a href="example.html">Read more</a></p>
         </li>
@@ -231,5 +226,5 @@
   <div class="footer">
     <div class="copyright">
-      <span>&copy; Nigerian Research and Education Network</span>
+      <span>&copy; Kwara State Polytechnic</span>
       <script type="text/javascript">
       renderCurrentYear();
@@ -238,16 +233,11 @@
     <div class="address">
       <ul>
-        <li>XXX</li>
-        <li>National Universities Commission</li>
-        <li>Aja Nwachukwu House</li>
-        <li>Aguiyi Ironsi Street</li>
-        <li>Maitama District</li>
-        <li>Abuja, Nigeria</li>
+        <li>Kwara State Polytechnic</li>
+        <li>Ilorin, Nigeria</li>
       </ul>
     </div>
-
     <div class="section">
       <ul>
-        <li class="title">&raquo; NgREN</li>
+        <li class="title">&raquo; KwaraPoly</li>
         <li><a href="example.html">Contact</a></li>
         <li><a href="example.html">Sitemap</a></li>