Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 10855)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 10874)
@@ -225,17 +225,20 @@
         self.browser.open(self.root_path)
         self.assertTrue(
-            '<a href="http://localhost/app/applicants/app2011">'
-            'This is the app2011 container</a>' in self.browser.contents)
-        self.app['applicants']['app2011'].hidden = True
+            '<a href="http://localhost/app/applicants/%s">'
+            'This is the %s container</a>' % (container_name_1, container_name_1)
+            in self.browser.contents)
+        self.app['applicants'][container_name_1].hidden = True
         self.browser.open(self.root_path)
         # Anonymous users can't see hidden containers
         self.assertFalse(
-            '<a href="http://localhost/app/applicants/app2011">'
-            'This is the app2011 container</a>' in self.browser.contents)
+            '<a href="http://localhost/app/applicants/%s">'
+            'This is the %s container</a>' % (container_name_1, container_name_1)
+            in self.browser.contents)
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open(self.root_path)
         self.assertTrue(
-            '<a href="http://localhost/app/applicants/app2011">'
-            'This is the app2011 container</a>' in self.browser.contents)
+            '<a href="http://localhost/app/applicants/%s">'
+            'This is the %s container</a>' % (container_name_1, container_name_1)
+            in self.browser.contents)
         return
 
@@ -339,5 +342,5 @@
         self.browser.getControl("Add applicants container").click()
         self.assertTrue('Added:' in self.browser.contents)
-        self.browser.getLink("app2011").click()
+        self.browser.getLink(container_name_1).click()
         self.assertTrue('Manage applicants container'
             in self.browser.contents)
@@ -402,5 +405,5 @@
         self.assertTrue(
             'zope.mgr - applicants.browser.ApplicantsContainerManageFormPage - '
-            'app2011 - saved: application_fee\n' in logcontent)
+            '%s - saved: application_fee\n' % container_name_1 in logcontent)
         self.browser.getControl("Remove selected", index=0).click()
         self.assertTrue('No applicant selected' in self.browser.contents)
@@ -703,5 +706,5 @@
         self.assertEqual(file_len, 31)
         # When an applicant is removed, also the image is gone.
-        del self.app['applicants']['app2011'][self.applicant.application_number]
+        del self.app['applicants'][container_name_1][self.applicant.application_number]
         fd = storage.getFile(file_id)
         self.assertTrue(fd is None)
@@ -1238,5 +1241,5 @@
     def test_applicants_in_container_export(self):
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
-        container_path = 'http://localhost/app/applicants/app2011'
+        container_path = 'http://localhost/app/applicants/%s' % container_name_1
         self.browser.open(container_path)
         self.browser.getLink("Export applicants").click()
@@ -1265,6 +1268,6 @@
         self.assertTrue(
             'zope.mgr - applicants.browser.ExportJobContainerJobStart - '
-            'exported: applicants (app2011), job_id=%s'
-            % job_id in logcontent
+            'exported: applicants (%s), job_id=%s'
+            % (container_name_1, job_id) in logcontent
             )
         self.assertTrue(
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 10855)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 10874)
@@ -880,5 +880,5 @@
         exporter.export([self.student], self.outfile)
         result = open(self.outfile, 'rb').read()
-        self.assertEqual(
+        self.assertTrue(
             'student_id,matric_number,display_fullname,state,certcode,'
             'faccode,depcode,is_postgrad,'
@@ -886,6 +886,5 @@
             '%s\r\n'
             'A111111,234,Anna M. Tester,created,CERT1,NA,NA,0,200,2012,ug_ft,'
-            ',,,,,,,,12.12,\r\n' % year_range_str,
-            result
+            % year_range_str in result
             )
         return
@@ -906,11 +905,10 @@
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
-        self.assertEqual(
+        self.assertTrue(
             'student_id,matric_number,display_fullname,state,'
             'certcode,faccode,depcode,is_postgrad,'
             'current_level,current_session,current_mode,'
             '%s\r\nA111111,234,Anna M. Tester,created,CERT1,NA,NA,0,'
-            '200,2012,ug_ft,,,,,,13.13,,,12.12,\r\n' % year_range_str,
-            result
+            '200,2012,ug_ft' % year_range_str in result
             )
         return