Index: main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 10901)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 10902)
@@ -144,30 +144,30 @@
 
         # Create clearance fee ticket
-        self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['clearance']
-        self.browser.getControl("Create ticket").click()
-        ctrl = self.browser.getControl(name='val_id')
-        value = ctrl.options[2]
-        self.browser.getLink(value).click()
-        self.assertMatches(
-            '...<span>45000.0</span>...',
-            self.browser.contents)
-        # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
-        self.assertEqual(self.student['payments'][value].provider_amt, 1500.0)
-        self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="5702" />...',
-                           self.browser.contents)
-        self.assertMatches('...Total Amount Authorized:...',
-                           self.browser.contents)
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="4500000.0" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="Acceptance Fee" item_amt="4335000" bank_id="7" acct_num="1003475516"...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="BT Education" item_amt="150000" bank_id="117" acct_num="1010764827"...',
-            self.browser.contents)
+        #self.browser.open(self.payments_path + '/addop')
+        #self.browser.getControl(name="form.p_category").value = ['clearance']
+        #self.browser.getControl("Create ticket").click()
+        #ctrl = self.browser.getControl(name='val_id')
+        #value = ctrl.options[2]
+        #self.browser.getLink(value).click()
+        #self.assertMatches(
+        #    '...<span>45000.0</span>...',
+        #    self.browser.contents)
+        ## Manager can access InterswitchForm
+        #self.browser.getLink("CollegePAY", index=0).click()
+        #self.assertEqual(self.student['payments'][value].provider_amt, 1500.0)
+        #self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
+        #self.assertMatches('...<input type="hidden" name="pay_item_id" value="5702" />...',
+        #                   self.browser.contents)
+        #self.assertMatches('...Total Amount Authorized:...',
+        #                   self.browser.contents)
+        #self.assertMatches(
+        #    '...<input type="hidden" name="amount" value="4500000.0" />...',
+        #    self.browser.contents)
+        #self.assertMatches(
+        #    '...item_name="Acceptance Fee" item_amt="4335000" bank_id="7" acct_num="1003475516"...',
+        #    self.browser.contents)
+        #self.assertMatches(
+        #    '...item_name="BT Education" item_amt="150000" bank_id="117" acct_num="1010764827"...',
+        #    self.browser.contents)
 
         # Create gown fee ticket
@@ -178,5 +178,5 @@
         self.browser.getControl("Create ticket").click()
         ctrl = self.browser.getControl(name='val_id')
-        value = ctrl.options[3]
+        value = ctrl.options[2]
         self.browser.getLink(value).click()
         self.assertMatches(
@@ -205,5 +205,5 @@
         self.browser.getControl("Create ticket").click()
         ctrl = self.browser.getControl(name='val_id')
-        value = ctrl.options[4]
+        value = ctrl.options[3]
         self.browser.getLink(value).click()
         self.assertMatches(
@@ -233,29 +233,29 @@
         self.app['configuration'].addSessionConfiguration(configuration)
         self.student['studycourse'].entry_session = 2002
-        self.browser.open(self.payments_path + '/addpp')
-        self.browser.getControl(name="form.p_category").value = ['clearance']
-        self.browser.getControl(name="form.p_session").value = ['2003']
-        self.browser.getControl(name="form.p_level").value = ['300']
-        self.browser.getControl("Create ticket").click()
-        ctrl = self.browser.getControl(name='val_id')
-        value = ctrl.options[5]
-        self.browser.getLink(value).click()
-        self.assertMatches(
-            '...<span>45000.0</span>...',
-            self.browser.contents)
-        # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
-        self.assertEqual(self.student['payments'][value].provider_amt, 1500.0)
-        self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="5702" />...',
-                           self.browser.contents)
-        self.assertMatches('...Total Amount Authorized:...',
-                           self.browser.contents)
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="4500000.0" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...<item_detail item_id="1" item_name="Acceptance Fee" item_amt="4335000" bank_id="7" acct_num="1003475516" />...',
-            self.browser.contents)
+        #self.browser.open(self.payments_path + '/addpp')
+        #self.browser.getControl(name="form.p_category").value = ['clearance']
+        #self.browser.getControl(name="form.p_session").value = ['2003']
+        #self.browser.getControl(name="form.p_level").value = ['300']
+        #self.browser.getControl("Create ticket").click()
+        #ctrl = self.browser.getControl(name='val_id')
+        #value = ctrl.options[5]
+        #self.browser.getLink(value).click()
+        #self.assertMatches(
+        #    '...<span>45000.0</span>...',
+        #    self.browser.contents)
+        ## Manager can access InterswitchForm
+        #self.browser.getLink("CollegePAY", index=0).click()
+        #self.assertEqual(self.student['payments'][value].provider_amt, 1500.0)
+        #self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
+        #self.assertMatches('...<input type="hidden" name="pay_item_id" value="5702" />...',
+        #                   self.browser.contents)
+        #self.assertMatches('...Total Amount Authorized:...',
+        #                   self.browser.contents)
+        ##self.assertMatches(
+        #    '...<input type="hidden" name="amount" value="4500000.0" />...',
+        #    self.browser.contents)
+        #self.assertMatches(
+        #    '...<item_detail item_id="1" item_name="Acceptance Fee" item_amt="4335000" bank_id="7" acct_num="1003475516" />...',
+        #    self.browser.contents)
 
         # Create balance payment ticket
@@ -267,5 +267,5 @@
         self.browser.getControl("Create ticket").click()
         ctrl = self.browser.getControl(name='val_id')
-        value = ctrl.options[6]
+        value = ctrl.options[4]
         self.browser.getLink(value).click()
         self.assertMatches(
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 10901)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 10902)
@@ -82,5 +82,5 @@
         self.certificate.study_mode = 'pg_ft'
         self.browser.open(self.clearance_path)
-        # ... and additional pg clearance fields appear
+        # ... and additional pg clearance fields appears
         self.assertMatches('...Second Higher Education Record...',
                            self.browser.contents)
@@ -245,8 +245,10 @@
                            self.browser.contents)
         self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['clearance']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
+        # We can't test clearance payment ticket creation at the moment,
+        # since Uniben decided to deactivate clearance for ug students.
+        #self.browser.getControl(name="form.p_category").value = ['clearance']
+        #self.browser.getControl("Create ticket").click()
+        #self.assertMatches('...ticket created...',
+        #                   self.browser.contents)
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['schoolfee']