Index: /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser.py	(revision 10906)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser.py	(revision 10907)
@@ -90,4 +90,8 @@
             faculty = owner.faculty
             department = owner.department
+            study_type = owner.current_mode
+            email = owner.email
+            phone = owner.phone
+            level = owner.current_level
         except (TypeError, AttributeError):
             self.output = '-3'
@@ -96,20 +100,41 @@
         payment_type = results[0].category
         programme_type = results[0].p_item
+
         academic_session = academic_sessions_vocab.getTerm(
             results[0].p_session).title
         status = results[0].p_state
         self.output = (
-            'FULL_NAME=%s&' +
-            'FACULTY=%s&' +
-            'DEPARTMENT=%s&' +
-            'RETURN_TYPE=%s&' +
-            'PROGRAMME_TYPE=%s&' +
-            'PAYMENT_TYPE=%s&' +
-            'ACADEMIC_SESSION=%s&' +
-            'MATRIC_NO=%s&' +
-            'FEE_AMOUNT=%s&' +
-            'TRANSACTION_STATUS=%s') % (full_name, faculty,
-            department, PAYEE_ID, programme_type, payment_type,
-            academic_session, matric_no, amount, status)
+            # Version 1
+            #'FULL_NAME=%s&' +
+            #'FACULTY=%s&' +
+            #'DEPARTMENT=%s&' +
+            #'RETURN_TYPE=%s&' +
+            #'PROGRAMME_TYPE=%s&' +
+            #'PAYMENT_TYPE=%s&' +
+            #'ACADEMIC_SESSION=%s&' +
+            #'MATRIC_NO=%s&' +
+            #'FEE_AMOUNT=%s&' +
+            #'TRANSACTION_STATUS=%s'
+
+            # Version 2
+            'PayeeName=%s~' +
+            'Faculty=%s~' +
+            'Department=%s~' +
+            'Level=%s~' +
+            'ProgrammeType=%s~' +
+            'StudyType=%s~' +
+            'Session=%s~' +
+            'PayeeID=%s~' +
+            'Amount=%s~' +
+            'FeeStatus=%s~' +
+            'PaymentType=%s~' +
+            'MatricNumber=%s~' +
+            'Email=%s~' +
+            'PhoneNumber=%s'
+
+            ) % (full_name, faculty,
+            department, level, programme_type, study_type,
+            academic_session, PAYEE_ID, amount, status, payment_type,
+            matric_no, email, phone)
         return
 
Index: /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py	(revision 10906)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py	(revision 10907)
@@ -76,14 +76,33 @@
         self.browser.open('http://localhost/app/feerequest?PAYEE_ID=%s' % self.p_id)
         self.assertEqual(self.browser.contents,
-            'FULL_NAME=Anna Tester&'
-            'FACULTY=fac1&'
-            'DEPARTMENT=dep1&'
-            'RETURN_TYPE=%s&'
-            'PROGRAMME_TYPE=CERT1&'
-            'PAYMENT_TYPE=School Fee&'
-            'ACADEMIC_SESSION=2004/2005&'
-            'MATRIC_NO=E1000000&'
-            'FEE_AMOUNT=1234.0&'
-            'TRANSACTION_STATUS=unpaid' % self.p_id)
+            # Version 1
+            #'FULL_NAME=Anna Tester&'
+            #'FACULTY=fac1&'
+            #'DEPARTMENT=dep1&'
+            #'RETURN_TYPE=%s&'
+            #'PROGRAMME_TYPE=CERT1&'
+            #'PAYMENT_TYPE=School Fee&'
+            #'ACADEMIC_SESSION=2004/2005&'
+            #'MATRIC_NO=E1000000&'
+            #'FEE_AMOUNT=1234.0&'
+            #'TRANSACTION_STATUS=unpaid'
+
+            # Version 2
+            'PayeeName=Anna Tester~'
+            'Faculty=fac1~'
+            'Department=dep1~'
+            'Level=100~'
+            'ProgrammeType=CERT1~'
+            'StudyType=ug_ft~'
+            'Session=2004/2005~'
+            'PayeeID=%s~'
+            'Amount=1234.0~'
+            'FeeStatus=unpaid~'
+            #Semester=SECOND~
+            'PaymentType=School Fee~'
+            'MatricNumber=E1000000~'
+            'Email=aa@aa.ng~'
+            'PhoneNumber=1234' % self.p_id)
+
         self.browser.open('http://localhost/app/feerequest?NONSENSE=nonsense')
         self.assertEqual(self.browser.contents, '-1')