Index: /main/waeup.kofa/branches/0.2/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/branches/0.2/src/waeup/kofa/applicants/browser.py	(revision 10908)
+++ /main/waeup.kofa/branches/0.2/src/waeup/kofa/applicants/browser.py	(revision 10909)
@@ -551,9 +551,14 @@
             IWorkflowInfo(self.context).fireTransition('start')
         if usertype == 'applicant' and self.context.state == 'created':
+            session = '%s/%s' % (self.context.__parent__.year,
+                                 self.context.__parent__.year+1)
+            title = getattr(grok.getSite()['configuration'], 'name', u'Sample University')
             msg = _(
                 '\n <strong>Congratulations!</strong>' +
-                ' You have been provisionally admitted' +
-                ' and your student record has been created for you.' +
-                ' Logout again and proceed to the login page of the portal.' +
+                ' You have been provisionally admitted into the' +
+                ' ${c} Academic Session of ${d}.'
+                ' Your student record has been created for you.' +
+                ' Please, logout again and proceed to the' +
+                ' login page of the portal.'
                 ' Then enter your new student credentials:' +
                 ' user name= ${a}, password = ${b}.' +
@@ -561,5 +566,7 @@
                 mapping = {
                     'a':self.context.student_id,
-                    'b':self.context.application_number}
+                    'b':self.context.application_number,
+                    'c':session,
+                    'd':title}
                 )
             self.flash(msg)
Index: /main/waeup.kofa/branches/0.2/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/branches/0.2/src/waeup/kofa/applicants/tests/test_browser.py	(revision 10908)
+++ /main/waeup.kofa/branches/0.2/src/waeup/kofa/applicants/tests/test_browser.py	(revision 10909)
@@ -575,6 +575,7 @@
         self.assertTrue(
             '<strong>Congratulations!</strong> You have been provisionally'
-            ' admitted and your student record has been created for you.'
-            in self.browser.contents)
+            ' admitted into the %s/%s Academic Session of'
+            ' Sample University. Your student record has been created for you.'
+            % (session_1, session_1 + 1) in self.browser.contents)
         self.assertTrue(
             'Then enter your new student credentials: user name= my id,'
Index: /main/waeup.kofa/branches/0.2/src/waeup/kofa/browser/templates/staffsitelayout.pt
===================================================================
--- /main/waeup.kofa/branches/0.2/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 10908)
+++ /main/waeup.kofa/branches/0.2/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 10909)
@@ -126,5 +126,5 @@
           </div>
           <div i18n:translate="">
-            Copyright &copy; WAeUP Group 2008-2013
+            Copyright &copy; WAeUP Group 2008-2014
           </div>
         </div>
Index: /main/waeup.kofa/branches/0.2/src/waeup/kofa/browser/templates/studentsitelayout.pt
===================================================================
--- /main/waeup.kofa/branches/0.2/src/waeup/kofa/browser/templates/studentsitelayout.pt	(revision 10908)
+++ /main/waeup.kofa/branches/0.2/src/waeup/kofa/browser/templates/studentsitelayout.pt	(revision 10909)
@@ -111,5 +111,5 @@
           </div>
           <div i18n:translate="">
-            Copyright &copy; WAeUP Group 2008-2013
+            Copyright &copy; WAeUP Group 2008-2014
           </div>
         </div>
Index: /main/waeup.kofa/branches/0.2/src/waeup/kofa/students/payments.py
===================================================================
--- /main/waeup.kofa/branches/0.2/src/waeup/kofa/students/payments.py	(revision 10908)
+++ /main/waeup.kofa/branches/0.2/src/waeup/kofa/students/payments.py	(revision 10909)
@@ -171,4 +171,24 @@
         return self.context.student.depcode
 
+    @property
+    def email(self):
+        "Email of payer"
+        return self.context.student.email
+
+    @property
+    def phone(self):
+        "Phone number of payer"
+        return self.context.student.phone
+
+    @property
+    def current_mode(self):
+        "Current study mode of payer"
+        return self.context.student.current_mode
+
+    @property
+    def current_level(self):
+        "Current level of payer"
+        return self.context.student.current_level
+
 # Student online payments must be importable. So we might need a factory.
 class StudentOnlinePaymentFactory(grok.GlobalUtility):