Index: main/waeup.kofa/branches/uli-diazo-themed/layout/base.xml
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/base.xml	(revision 10917)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/base.xml	(revision 10917)
@@ -0,0 +1,141 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rules
+    xmlns="http://namespaces.plone.org/diazo"
+    xmlns:css="http://namespaces.plone.org/diazo/css"
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+    xmlns:xi="http://www.w3.org/2001/XInclude">
+
+  <!-- do not theme GrokUI -->
+  <notheme if-path="/++grokui++" />
+
+  <!-- use error page if there is a <table class="layout"> 
+       tag in content. This tag is rendered in Zope 3 errors. -->
+  <rules css:if-content="table#layout">
+    <theme href="error-zope.html" />
+    <replace css:theme-children="#kofa-error-message"
+             css:content-children="h3" />
+  </rules>
+  <!-- use error page if there is no <div> tag in content.
+       This happens if something in the application went wrong. -->
+  <rules css:if-not-content="div">
+    <theme href="error-zope.html" />
+    <replace css:theme-children="#kofa-error-message"
+             css:content-children="body" />
+  </rules>
+
+  <!-- regular rules -->
+  <rules css:if-content="body.page">
+
+    <theme href="theme.html" />
+
+    <!-- head elements -->
+    <replace css:theme="html head title"
+             css:content="html head title" />
+
+    <!-- brand (upper left) -->
+    <copy attributes="href" css:theme="a.kofa-brand-link"
+          css:content="a.kofa-brand-link" />
+    <replace css:theme-children="a.kofa-brand-link"
+             css:content-children="a.kofa-brand-link" />
+
+    <!-- left top navigation -->
+    <replace css:theme-children="ul.kofa-navbar-left"
+             css:content-children="ul.kofa-navbar-left" />
+
+    <!-- right side top navigation -->
+    <replace css:theme-children="ul.kofa-navbar-right"
+             css:content-children="ul.kofa-navbar-right" />
+
+    <!-- breadcrumbs -->
+    <replace css:theme-children="ol.kofa-breadcrumbs"
+             css:content="ul.breadcrumb li" />
+    <drop css:theme="div.kofa-breadcrumbs-box"
+          css:if-not-content="ul.breadcrumb" />
+
+    <!-- sidebar -->
+
+    <drop css:theme="div.kofa-sidebar"
+          css:if-not-content="div.sidebar" />
+    <replace css:theme-children=".kofa-sidebar-title"
+             css:content-children="div.sidebar h5" />
+    <replace css:theme-children=".kofa-sidebar-body"
+             css:content-children="div.sidebar ul" />
+
+    <!-- content -->
+
+    <!-- drop one of the both content areas, depending on sidebar -->
+
+    <drop css:theme="div.kofa-content-narrow"
+          css:if-not-content="div.sidebar" />
+    <drop css:theme="div.kofa-content-wide"
+          css:if-content="div.sidebar" />
+    <replace css:theme-children="div.kofa-content"
+             css:content-children="div.kofa-content" />
+
+
+    <!-- scripts -->
+    <drop css:theme="script.kofa-script-tooltip"
+          css:if-not-content="[data-toggle=tooltip]" />
+
+<!--
+    <after css:theme-children="html head"
+           css:content="html head meta" />
+-->
+<!--
+    <after css:theme-children="html head"
+           css:content="html head base" />
+-->
+
+    <!-- top navigation -->
+    <!-- left top navigation -->
+<!--
+    <replace css:theme-children="ul.kofa-navbar-left"
+             css:content-children="ul.kofa-navbar-left" />
+-->
+
+    <!-- the language selector
+
+      quite tricky. We insert a <li> element at end of
+      ul.kofa-navbar-left. This <li> has a header element
+      (the 'Language' button) and the a number of <li> elements
+      representing the supported languages.
+      We change the input content of format
+
+         <a href="foo" title="Lang">Abbrev</a>
+
+      to
+
+         <a href="foo">Lang</a>
+
+      creating new nodes (<xsl:element>) with attributes copied over.
+    -->
+<!--
+    <after css:theme-children="ul.kofa-navbar-left">
+      <li class="dropdown kofa-langselect">
+        <a href="#" class="dropdown-toggle"
+           data-toggle="dropdown">Language <b class="caret"></b></a>
+        <ul class="dropdown-menu">
+          <xsl:for-each css:select=" .language a">
+            <li class="kofa-language">
+              <xsl:element name="a">
+                <xsl:attribute name="href">
+                  <xsl:value-of select="@href" />
+                </xsl:attribute>
+                <xsl:value-of select="@title" />
+              </xsl:element>
+            </li>
+          </xsl:for-each>
+        </ul>
+      </li>
+    </after>
+-->
+
+
+
+
+
+
+
+  </rules>
+
+</rules>
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/error-zope.html
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/error-zope.html	(revision 10917)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/error-zope.html	(revision 10917)
@@ -0,0 +1,46 @@
+<!DOCTYPE html>
+<html lang="en">
+  <head>
+    <meta charset="utf-8">
+    <title>Eko-Disco Portal - Error</title>
+    <meta name="viewport" content="width=device-width, initial-scale=1.0">
+    <meta name="description" content="">
+    <meta name="author" content="">
+
+    <!-- stylesheets -->
+    <link href="bootstrap/css/bootstrap.min.css"
+	  rel="stylesheet">
+    <link href="static/css/base.css" rel="stylesheet">
+
+    <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
+    <!--[if lt IE 9]>
+      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
+    <![endif]-->
+
+    <!-- icons -->
+    <link rel="shortcut icon" href="static/ico/favicon.ico">
+    <link rel="apple-touch-icon-precomposed" sizes="144x144"
+	  href="static/ico/apple-touch-icon-144-precomposed.png">
+    <link rel="apple-touch-icon-precomposed" sizes="114x114"
+	  href="static/ico/apple-touch-icon-114-precomposed.png">
+    <link rel="apple-touch-icon-precomposed" sizes="72x72"
+	  href="static/ico/apple-touch-icon-72-precomposed.png">
+    <link rel="apple-touch-icon-precomposed"
+	  href="static/ico/apple-touch-icon-57-precomposed.png">
+
+  </head>
+  <body id="eko-body" class="errorpage">
+    <br />
+    <div class="container">
+      <div class="jumbotron">
+        <h1 id="eko-error-heading">Error</h1>
+        <div id="eko-error-message">Error Message</div>
+        <div>We are terribly sorry.</div>
+      </div>
+    </div>
+
+    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
+    <script src="bootstrap/js/bootstrap.min.js"></script>
+
+  </body>
+</html>
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10917)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10917)
@@ -0,0 +1,28 @@
+body {
+    background-color: #f5f5f5;
+}
+
+.breadcrumb {
+    background-color: #fff;
+    margin-bottom: 10px;
+    margin-top: 10px;
+    padding-left: 20px;
+    padding-right: 20px;
+}
+
+.well {
+    background-color: #fff;
+}
+
+.kofa-sidebar .well {
+    padding: 5px;
+}
+
+.kofa-sidebar-title {
+    text-transform: none;
+    font-size: 14px;
+    color: #555;
+    padding-top: 15px;
+    padding-bottom: 10px;
+    padding-left: 8px;
+}
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10917)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10917)
@@ -0,0 +1,187 @@
+<!DOCTYPE html>
+<html lang="en">
+  <head>
+    <meta charset="utf-8">
+    <title>Base · Twitter Bootstrap</title>
+    <meta name="viewport" content="width=device-width, initial-scale=1.0">
+    <meta name="description" content="">
+    <meta name="author" content="">
+
+    <!-- stylesheets -->
+    <link href="bootstrap/css/bootstrap.min.css"
+	  rel="stylesheet">
+    <link href="static/css/base.css" rel="stylesheet">
+
+    <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
+    <!--[if lt IE 9]>
+      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
+    <![endif]-->
+
+    <!-- icons -->
+    <link rel="shortcut icon" href="static/ico/favicon.ico">
+    <link rel="apple-touch-icon-precomposed" sizes="144x144"
+	  href="static/ico/apple-touch-icon-144-precomposed.png">
+    <link rel="apple-touch-icon-precomposed" sizes="114x114"
+	  href="static/ico/apple-touch-icon-114-precomposed.png">
+    <link rel="apple-touch-icon-precomposed" sizes="72x72"
+	  href="static/ico/apple-touch-icon-72-precomposed.png">
+    <link rel="apple-touch-icon-precomposed"
+	  href="static/ico/apple-touch-icon-57-precomposed.png">
+
+  </head>
+
+  <body id="kofa-body">
+
+    <div class="navbar navbar-inverse" role="navigation">
+      <div class="navbar-header">
+        <button type="button" class="navbar-toggle" data-toggle="collapse"
+		  data-target="#kofa-primary-nav">
+          <span class="icon-bar"></span>
+          <span class="icon-bar"></span>
+          <span class="icon-bar"></span>
+        </button>
+        <a class="navbar-brand active kofa-brand-link" href="/">EkoDisco</a>
+      </div>
+      <div class="navbar-collapse collapse"
+           id="kofa-primary-nav">
+        <ul class="nav navbar-nav kofa-navbar-left">
+          <li class="active"><a href="#">Academics</a></li>
+          <li><a href="#about">Applicants</a></li>
+          <li><a href="#contact">Students</a></li>
+          <li><a href="#contact">Hostels</a></li>
+          <li class="dropdown kofa-langselect">
+            <a href="#" class="dropdown-toggle"
+	       data-toggle="dropdown">Language <b class="caret"></b></a>
+            <ul class="dropdown-menu">
+              <li class="kofa-language"><a href="#">en</a></li>
+              <li class="kofa-language"><a href="#">fr</a></li>
+              <li class="kofa-language"><a href="#">de</a></li>
+              <li class="kofa-language"><a href="#">ha</a></li>
+              <li class="kofa-language"><a href="#">yo</a></li>
+              <li class="kofa-language"><a href="#">ig</a></li>
+            </ul>
+          </li>
+        </ul>
+
+        <ul class="nav navbar-nav navbar-right kofa-navbar-right">
+          <li class="nav"><a href="#">Contact</a></li>
+          <li class="nav"><a href="#">Logout</a></li>
+	</ul>
+      </div><!--/.nav-collapse -->
+    </div><!-- /.navbar -->
+
+    <div class="container kofa-breadcrumbs-box">
+      <div class="row">
+
+        <ol class="breadcrumb kofa-breadcrumbs">
+          <li class="kofa-breadcrumb">
+	    <a href="#">
+	      Home
+	    </a>
+          </li>
+          <li class="kofa-breadcrumb">
+	    <a href="#">
+	      Subtopic
+	    </a>
+          </li>
+        </ol><!-- /kofa-breadcrumbs -->
+
+      </div>
+    </div>
+
+    <div class="container">
+
+      <div class="row">
+	<div class="col-md-3 kofa-sidebar">
+	  <div class="sidebar-nav well">
+	    <ul class="nav nav-list">
+	      <li class="nav-header kofa-sidebar-title">Username</li>
+	    </ul>
+            <ul class="nav nav-list kofa-sidebar-body">
+              <li><a href="#">Portal Configuration</a></li>
+	      <li><a href="#">Portal Users</a></li>
+	      <li><a href="#">Data Center</a></li>
+	      <li><a href="#">Reports</a></li>
+	      <li><a href="#">Access Codes</a></li>
+            </ul>
+          </div> <!-- /well -->
+        </div><!-- /kofa-sidebar -->
+	<div class="col-md-9 content well kofa-content kofa-content-narrow">
+
+	  <div class="hero-unit kofa-content-label-box">
+	    <h1 class="kofa-content-label-title">waeup.kofa theme</h1>
+	    <p class="kofa-content-label-descr">
+	      A sample theme for waeup.kofa</p>
+	  </div>
+
+	  <p>
+	    Donec id elit non mi porta gravida at eget metus. Fusce
+	    dapibus, tellus ac cursus commodo, tortor mauris
+	    condimentum nibh, ut fermentum massa justo sit amet
+	    risus. Etiam porta sem malesuada magna mollis
+	    euismod. Donec sed odio dui.
+	  </p>
+
+	  <img src="static/img/bg.png" />
+
+	</div>
+      </div><!-- /row-fluid -->
+
+      <div class="row-fluid">
+	<div class="span12 content well kofa-content kofa-content-wide">
+	  <div class="hero-unit">
+	    <h1>Hello there!</h1>
+	    <p>this is...</p>
+	  </div>
+	  <div>...content that spans the whole page.</div>
+
+          <div id="#sampleform">
+            <form method="post">
+              <fieldset id="form-fieldset">
+                <legend>A Sample Form</legend>
+                <div class="form-field">
+                  <label>Some Label</label>
+                  <input type="text" name="myinput[]" placeholder="A name..." />
+                </div>
+                <button type="submit" class="btn rowadd">
+                  Add row
+                </button>
+                <br />
+                <button type="submit" class="btn btn-primary">Save</button>
+              </fieldset>
+            </form>
+          </div><!-- /sampleform -->
+
+	</div>
+      </div><!-- /row-fluid -->
+
+      <div class="footer">
+	<hr />
+	<p class="credit muted text-right">
+          <a href="//waeup.org">&copy; WAeUP Group 2013</a>
+        </p>
+      </div>
+
+
+    </div><!-- /container-fluid -->
+
+
+    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
+    <script src="bootstrap/js/bootstrap.min.js"></script>
+
+    <script type="text/javascript" class="kofa-script kofa-script-tooltip">
+      $(function () {
+        $("[data-toggle=tooltip]").tooltip();
+      });
+    </script>
+    <script type="text/javascript">
+      $("button.rowadd").click(function (evt) {
+         /* Do not submit the form really */
+         evt.preventDefault();
+         /* Add first .form-field after last .form-field... */
+         $(".form-field:last").after($(".form-field:first").clone().hide().fadeIn());
+      });
+    </script>
+
+  </body>
+</html>