Index: main/waeup.kofa/branches/uli-diazo-themed/buildout-diazo.cfg
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/buildout-diazo.cfg	(revision 10921)
+++ main/waeup.kofa/branches/uli-diazo-themed/buildout-diazo.cfg	(revision 10921)
@@ -0,0 +1,169 @@
+[buildout]
+parts =  
+    app
+    i18n
+    test
+    mkdirs
+    zpasswd
+    site_zcml
+    zope_conf
+    zdaemon_conf
+    raw_deploy_ini
+    raw_debug_ini
+    themed_deploy_ini
+    themed_debug_ini
+    profile_ini
+    kofactl
+    waeupdocs
+    coverage-detect
+    coverage-report
+    lxml
+    diazo
+    nodejs
+    npm
+    grunt_script
+# For backward compatibility, telling buildout not to throw away
+# the data and log subdirectories from the parts directory.
+    data
+    log
+
+extends = 
+    http://good-py.appspot.com/release/diazo/1.0
+    buildout.cfg
+
+find-links =
+
+extensions = 
+    mr.developer
+
+auto-checkout = bootstrap
+always-checkout = force
+
+develop = .
+
+show-picked-versions = true
+update-versions-file = versions.cfg
+
+
+[sources]
+bootstrap = git https://github.com/twbs/bootstrap.git egg=false rev=v3.0.3
+
+
+[kofa_params]
+## Basic parameters for deployment.
+# default is 127.0.0.1
+host = 0.0.0.0
+# default is 8080
+base_port = 8080
+zeo1_port = 8080
+zeo2_port = 8081
+zeo3_port = 8082
+server_port = 8100
+# default 7. Number of pre-opened ZODB threads/client
+pool_size = 7
+# default 20MB. Cache size of each client (ZEO only)
+client_cache = 20MB
+# default 5000. Number of objects cached.
+object_cache = 5000
+# number of preopened paster threads, default 10
+threadpool_workers = 10
+# package to be developed
+devel_pkg = waeup.kofa
+
+
+[lxml]
+recipe = z3c.recipe.staticlxml
+egg = lxml
+
+[diazo]
+recipe = zc.recipe.egg
+eggs =
+    diazo [wsgi]
+    PasteScript
+    waeup.kofa [beaker]
+
+[nodejs]
+recipe = zc.recipe.cmmi
+#url = http://nodejs.org/dist/v0.9.3/node-v0.9.3.tar.gz
+url = http://nodejs.org/dist/v0.10.24/node-v0.10.24.tar.gz
+
+# create a shell script that wraps `grunt` script in `parts/` with
+# $PATH set correctly.
+[grunt_script]
+recipe = collective.recipe.template
+mode = 775
+input = etc/grunt.sh.in
+output = ${buildout:directory}/bin/grunt
+
+[npm]
+recipe = plone.recipe.command
+command =
+    cd ${buildout:directory}/src/bootstrap
+    ${buildout:parts-directory}/nodejs/bin/npm install -g grunt-cli
+    ${buildout:parts-directory}/nodejs/bin/npm install
+
+#
+# waeup.kofa config
+#
+[app]
+recipe = zc.recipe.egg
+eggs = waeup.kofa [beaker, diazo]
+       z3c.evalexception>=2.0
+       Paste
+       PasteScript
+       PasteDeploy
+       repoze.profile
+       ZODB3
+interpreter = python-console
+
+
+[mkdirs]
+recipe = z3c.recipe.mkdir
+paths =
+    ${zope_conf:filestorage}
+    ${zope_conf:logfiles}
+    ${zope_conf:blobstorage}
+    ${buildout:directory}/var/mailqueue/cur
+    ${buildout:directory}/var/mailqueue/tmp
+    ${buildout:directory}/var/mailqueue/new
+    ${buildout:directory}/var/datacenter/media
+    ${buildout:directory}/parts/test/datacenter
+
+
+[zdaemon_conf]
+recipe = collective.recipe.template
+input = etc/zdaemon.conf.in
+output = ${buildout:parts-directory}/etc/zdaemon.conf
+
+[raw_debug_ini]
+recipe = collective.recipe.template
+input = etc/raw/debug.ini.in
+output = ${buildout:parts-directory}/etc/raw-debug.ini
+
+[raw_deploy_ini]
+recipe = collective.recipe.template
+input = etc/raw/deploy.ini.in
+output = ${buildout:parts-directory}/etc/raw-deploy.ini
+
+[themed_debug_ini]
+recipe = collective.recipe.template
+input = etc/themed/debug.ini.in
+output = ${buildout:parts-directory}/etc/themed-debug.ini
+
+[themed_deploy_ini]
+recipe = collective.recipe.template
+input = etc/themed/deploy.ini.in
+output = ${buildout:parts-directory}/etc/themed-deploy.ini
+
+#
+# ctl-scripts...
+#
+
+[kofactl]
+# See http://pypi.python.org/pypi/zc.recipe.egg for details...
+# Here we create the kofactl script again, this time with a
+# fixed path to zdaemon.conf as argument.
+recipe = zc.recipe.egg
+eggs = waeup.kofa [beaker, diazo]
+arguments = "${buildout:parts-directory}/etc/zdaemon.conf"
+scripts = kofactl=kofactl